%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()" 2>/dev/null)}
%{!?pybasever: %global pybasever %(%{__python} -c "import sys ; print sys.version[:3]" 2>/dev/null || echo 0.0)}

%global svnrev	13806
%global svndate	20140403

Name:		trac-accountmanager-plugin
Version:	0.4.4
Release:	3%{?dist}
Summary:	Trac plugin for account registration and management
Group:		Applications/Internet
License:	Copyright only
URL:		http://trac-hacks.org/wiki/AccountManagerPlugin
Source0:	TracAccountManager-%{version}.tar.bz2
Patch0:		TracAccountManager-0.4.4-tests.patch
Patch1:		TracAccountManager-0.4.4-genshi06.patch
Patch2:		TracAccountManager-0.4.4-svn14245.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	python2-devel
BuildRequires:	python-setuptools

# This is needed for the test suite
BuildRequires:	trac >= 0.12

# Source comes from SVN repository at trac-hacks.org
Source1:	pull-from-svn.sh

# This package is explicitly for trac 0.12.x
Requires:	trac >= 0.12

# Required for import of pkg_resources
Requires:	python-setuptools

# Need at least this version
%if "%{?rhel}" == "6"
Requires:	python-genshi06
%else
Requires:	python-genshi >= 0.6
%endif

%description
The AccountManagerPlugin offers several features for managing user accounts:

 * allow users to register new accounts
 * login via an HTML form instead of using HTTP authentication
 * allow existing users to change their passwords or delete their accounts
 * send a new password to users who've forgotten their password
 * administer user accounts using the trac web interface

%prep
%setup -n TracAccountManager-%{version} -q

# Fix the test suite so that it works with trac 1.0.2
# https://trac-hacks.org/ticket/12192
%patch0

# Make sure we can find Genshi ≥ 0.6 on EL-6, where it's in an egg
%patch1

# Allow a question as alternative BotTrapCheck field description, refs #10270 and #12054
# This makes BotTrapCheck field description configurable. Now you can require
# user input other than exact duplication of text from the description.
# That should be more effective against spam registration attempts, similar
# to QuestionRegisterPlugin functionality - effectively obsoleting that hack.
# http://trac-hacks.org/changeset/14245/accountmanagerplugin/trunk/acct_mgr
%patch2

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# Don't need to package this
rm %{buildroot}%{python_sitelib}/acct_mgr/locale/.placeholder

%check
%{__python} setup.py test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license COPYING
%else
%doc COPYING
%endif
%doc changelog README README.update
%doc contrib/fix-session_attribute-failed_logins.py contrib/sessionstore_convert.py
%dir %{python_sitelib}/acct_mgr/
%{python_sitelib}/acct_mgr/*.py*
%{python_sitelib}/acct_mgr/htdocs/
%{python_sitelib}/acct_mgr/templates/
%dir %{python_sitelib}/acct_mgr/locale/
%dir %{python_sitelib}/acct_mgr/locale/cs/
%dir %{python_sitelib}/acct_mgr/locale/cs/LC_MESSAGES/
%lang(cs) %{python_sitelib}/acct_mgr/locale/cs/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/de/
%dir %{python_sitelib}/acct_mgr/locale/de/LC_MESSAGES/
%lang(de) %{python_sitelib}/acct_mgr/locale/de/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/es/
%dir %{python_sitelib}/acct_mgr/locale/es/LC_MESSAGES/
%lang(es) %{python_sitelib}/acct_mgr/locale/es/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/et/
%dir %{python_sitelib}/acct_mgr/locale/et/LC_MESSAGES/
%lang(et) %{python_sitelib}/acct_mgr/locale/et/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/fi/
%dir %{python_sitelib}/acct_mgr/locale/fi/LC_MESSAGES/
%lang(fi) %{python_sitelib}/acct_mgr/locale/fi/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/fr/
%dir %{python_sitelib}/acct_mgr/locale/fr/LC_MESSAGES/
%lang(fr) %{python_sitelib}/acct_mgr/locale/fr/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/he/
%dir %{python_sitelib}/acct_mgr/locale/he/LC_MESSAGES/
%lang(he) %{python_sitelib}/acct_mgr/locale/he/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/id_ID/
%dir %{python_sitelib}/acct_mgr/locale/id_ID/LC_MESSAGES/
%lang(id_ID) %{python_sitelib}/acct_mgr/locale/id_ID/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/it/
%dir %{python_sitelib}/acct_mgr/locale/it/LC_MESSAGES/
%lang(it) %{python_sitelib}/acct_mgr/locale/it/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/ja/
%dir %{python_sitelib}/acct_mgr/locale/ja/LC_MESSAGES/
%lang(ja) %{python_sitelib}/acct_mgr/locale/ja/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/nl/
%dir %{python_sitelib}/acct_mgr/locale/nl/LC_MESSAGES/
%lang(nl) %{python_sitelib}/acct_mgr/locale/nl/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/pl/
%dir %{python_sitelib}/acct_mgr/locale/pl/LC_MESSAGES/
%lang(pl) %{python_sitelib}/acct_mgr/locale/pl/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/pt_BR/
%dir %{python_sitelib}/acct_mgr/locale/pt_BR/LC_MESSAGES/
%lang(pt_BR) %{python_sitelib}/acct_mgr/locale/pt_BR/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/ru/
%dir %{python_sitelib}/acct_mgr/locale/ru/LC_MESSAGES/
%lang(ru) %{python_sitelib}/acct_mgr/locale/ru/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/sv/
%dir %{python_sitelib}/acct_mgr/locale/sv/LC_MESSAGES/
%lang(sv) %{python_sitelib}/acct_mgr/locale/sv/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/te/
%dir %{python_sitelib}/acct_mgr/locale/te/LC_MESSAGES/
%lang(te) %{python_sitelib}/acct_mgr/locale/te/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/tr/
%dir %{python_sitelib}/acct_mgr/locale/tr/LC_MESSAGES/
%lang(tr) %{python_sitelib}/acct_mgr/locale/tr/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/uk/
%dir %{python_sitelib}/acct_mgr/locale/uk/LC_MESSAGES/
%lang(uk) %{python_sitelib}/acct_mgr/locale/uk/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/zh_CN/
%dir %{python_sitelib}/acct_mgr/locale/zh_CN/LC_MESSAGES/
%lang(zh_CN) %{python_sitelib}/acct_mgr/locale/zh_CN/LC_MESSAGES/acct_mgr.mo
%dir %{python_sitelib}/acct_mgr/locale/zh_TW/
%dir %{python_sitelib}/acct_mgr/locale/zh_TW/LC_MESSAGES/
%lang(zh_TW) %{python_sitelib}/acct_mgr/locale/zh_TW/LC_MESSAGES/acct_mgr.mo
%{python_sitelib}/TracAccountManager-%{version}-py%{pybasever}.egg-info/

%changelog
* Fri Jun 19 2015 Paul Howarth <paul@city-fan.org> - 0.4.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Feb 13 2015 Paul Howarth <paul@city-fan.org> - 0.4.4-2
- Allow a question as alternative BotTrapCheck field description
- Fix the test suite so that it works with trac 1.0.2
- Use %%license where possible

* Sat Apr 19 2014 Paul Howarth <paul@city-fan.org> - 0.4.4-1
- Update to current stable release version
  - Lots of password-related fixes
  - Lots of extra translations
- NOTE: existing users should read README.update for important change details
- Package upstream's COPYING file
- Drop %%defattr, redundant since rpm 4.4

* Fri Feb 15 2013 Paul Howarth <paul@city-fan.org> - 0.4-0.3.20120108svn11131
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Paul Howarth <paul@city-fan.org> - 0.4-0.2.20120108svn11131
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jan 11 2012 Paul Howarth <paul@city-fan.org> - 0.4-0.1.20120108svn11131
- Update to current svn snapshot (from trunk for trac 0.12)
- Add new translations to %%files list
- Drop test suite patch, no longer needed
- Package changelog and README.update
- Nobody else likes macros for commands
- NOTE: existing users should read README.update for important change details

* Fri Dec 24 2010 Paul Howarth <paul@city-fan.org> - 0.3-0.2.20101206svn9591
- Update to current svn snapshot (from trunk for trac 0.12)
- Require trac >= 0.12
- Require python-genshi >= 0.6 or python-genshi06 as per trac itself
- Go to great trouble to set %%lang on translations
- Patch out errors in test suite
- Help setup.py find Genshi 0.6, which is in an egg for EPEL-6

* Tue Dec 21 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-6.20101013svn9290
- Update to svn revision 9290
  - Add "Remember me" (http://trac-hacks.org/ticket/131)
  - Fix infinite redirect loop after resetting the password
    (http://trac-hacks.org/ticket/3233)
  - Fix compatibility with AnnouncerPlugin
    (http://trac-hacks.org/ticket/6730 and http://trac-hacks.org/ticket/6739)
  - Various typo fixes etc.
- BR: python2-devel rather than just python-devel
- Require trac >= 0.11.2 for secure_cookies
- Add %%check section and run test suite
- BR: trac for trac.test, needed for test suite

* Wed Jul 28 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-5.20100224svn7707
- Rebuild for python 2.7 in Rawhide

* Wed Feb 24 2010 Paul Howarth <paul@city-fan.org> - 0.2.1-4.20100224svn7707
- Update to svn revision 7707
  - fix email verification (http://trac-hacks.org/ticket/4125)
  - no mail if there's no email address (http://trac-hacks.org/ticket/3401)
  - fix realm for htdigest (upstream tickets #6329, #6453, #6464)
- Set timestamp on tarball to timestamp of latest change in svn
- Drop patch for http://trac-hacks.org/ticket/4125 (now in 0.11 branch)

* Wed Aug 19 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-3.20090522svn5836
- Use setuptools to generate tarball, and fix timestamps on a per-file basis
- Use --skip-build in %%install to avoid repeating the build

* Tue Aug 18 2009 Paul Howarth <paul@city-fan.org> - 0.2.1-2.20090522svn5836
- Update to svn revision 5836 to fix deprecation warnings
  (http://trac-hacks.org/ticket/4984)
- Expand %%description and comment runtime dependencies
- Include script for pulling tarball from upstream svn
- Include sessionstore_convert.py script
  (http://www.mailinglistarchive.com/trac-users@googlegroups.com/msg03696.html)
- Add upstream patch for email verification issues with trac 0.11.4
  (http://trac-hacks.org/ticket/4125)

* Sun Apr 05 2009 Lorenzo Villani <lvillani@binaryhelix.net> - 0.2.1-1.20090406svn5484
- Initial release

